跳至內容

Grok Voice

整合

模型 id xai/grok-voice
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

每次執行最多 $1.494 依實際用量收費,其餘金額會退款 在此頁面執行

取得 API 金鑰
xAI 音訊 #xai#grok#voice#agent

語音代理會聆聽錄製的音訊片段,並以語音及逐字稿回覆

xAI · 音訊

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 20000

選填的系統指令,用於提供對話上下文並指定人格特質以取代 Grok 的預設值;省略則保留預設人格特質。

•必填 audio_url
拖放檔案,或

使用者語音的音訊 URL,限制為 10 分鐘且不超過 50 MB。可提供大多數常見的音訊格式;在 Grok 接收音訊之前,它會被轉換為 24 kHz、16 位元取樣的單聲道 PCM。代理程式會以語音回應錄音。

進階 voice · enable_safety_checker · tools

選擇內建的 xAI 語音以覆蓋代理程式回覆時 Grok 的預設語音;若不設定則保留預設語音。

預設 {"mcp_servers":[],"we...

用於伺服器端的代理程式工具配置,由於 ZDR,類型化配置中不包含 `file_search/collections`。所有工具初始狀態皆為停用;支援的選項包括遠端 MCP 工具、網路工具和 X 工具。

POST /run/xai/grok-voice?wait=20 報價 → $1.494
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Grok Voice

透過 `audio_url` 傳送錄音,代理會以語音回覆,返回 24 kHz 單聲道 WAV,以及時長和可用時的逐字稿。可選的 `prompt`(最多 20000 個字元)設定角色和上下文,`voice` 選擇內建語音。`tools` 物件可啟用網路搜尋、X 搜尋或遠端 MCP 伺服器,預設全部關閉。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
audio_url必填 audio
類型url · audio
使用者語音的音訊 URL,限制為 10 分鐘且不超過 50 MB。可提供大多數常見的音訊格式;在 Grok 接收音訊之前,它會被轉換為 24 kHz、16 位元取樣的單聲道 PCM。代理程式會以語音回應錄音。
prompt選填
類型string | null
≤ 20,000 個字元
選填的系統指令,用於提供對話上下文並指定人格特質以取代 Grok 的預設值;省略則保留預設人格特質。
voice選填
類型enum
carinazaganhelixorionlunairisaltairzenithperseusheliosluxkeplerrigelcosmocelesteursa
另有 12 個siriuslumencastornakshatlasauroralioraaraeveleorexsal
選擇內建的 xAI 語音以覆蓋代理程式回覆時 Grok 的預設語音;若不設定則保留預設語音。
tools選填
類型object
預設值{"mcp_servers":[],"web_search":{"enabled":false},"x_search":{"enabled":false}}
用於伺服器端的代理程式工具配置,由於 ZDR,類型化配置中不包含 `file_search/collections`。所有工具初始狀態皆為停用;支援的選項包括遠端 MCP 工具、網路工具和 X 工具。
tools.mcp_servers選填
類型object[]
模型提供者連接以執行工具的遠端 MCP 伺服器。
tools.mcp_servers[].allowed_tools選填
類型string[]
≥ 1 items
選填列表,指定此伺服器公開哪些工具名稱。
tools.mcp_servers[].authorization選填
類型string | null
僅發送給模型提供者的敏感授權值。
tools.mcp_servers[].enabled選填
類型boolean
預設值true
伺服器包含標記;false 會排除該伺服器。
tools.mcp_servers[].headers選填
類型object | null
MCP 請求的敏感標頭,僅發送給模型提供者。
tools.mcp_servers[].server_description選填
類型string | null
≤ 2000 characters
概述此伺服器所提供功能的描述。
tools.mcp_servers[].server_label必填
類型string
1 – 128 characters
模型提供者用來識別其工具並作為其名稱前綴的伺服器標籤。
tools.mcp_servers[].server_url必填
類型string
≥ 1 characters
由呼叫者提供的 HTTP(S) 位址,用於 Grok 透過串流 HTTP/SSE 傳輸遠端連接的 MCP 伺服器。
tools.web_search.allowed_domains選填
類型string[]
1 – 5 items
搜尋結果的網域限制:最多指定五個網域,省略通訊協定和路徑。
tools.web_search.enable_image_understanding選填
類型boolean | null
允許代理程式檢查透過網路搜尋發現的圖像。
tools.web_search.enabled選填
類型boolean
預設值false
代理程式的網路搜尋存取權限:true 會將 web_search 加入 session.tools 並允許網路搜尋;預設為停用。
tools.web_search.excluded_domains選填
類型string[]
1 – 5 items
要從搜尋結果中排除的網域,限制為五個項目,且省略通訊協定和路徑。
tools.web_search.location選填
類型object
用於根據地理位置量身定制搜尋結果的選填位置。
tools.x_search.allowed_x_handles選填
類型string[]
1 – 20 items
其貼文可能出現在結果中的 X 帳號(handles),限制為 20 個帳號。
tools.x_search.enable_image_understanding選填
類型boolean | null
允許代理程式檢查在 X 上發現的圖像。
tools.x_search.enable_video_understanding選填
類型boolean | null
允許代理程式檢查在 X 上發現的影片。
tools.x_search.enabled選填
類型boolean
預設值false
透過搜尋存取 X 貼文:true 會將 x_search 加入 session.tools 以便代理程式搜尋這些貼文;預設為停用。
tools.x_search.excluded_x_handles選填
類型string[]
1 – 20 items
排除其貼文的 X 帳號(handles),限制為 20 個帳號。
tools.x_search.from_date選填
類型string | null
貼文的最早日期,以 ISO 格式 YYYY-MM-DD 表示。
tools.x_search.to_date選填
類型string | null
貼文的最晚日期,以 ISO 格式 YYYY-MM-DD 表示。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-voice",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1494,
    "usd": "1.494",
    "charged": 1494,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "text": "",
    "duration": 5
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
audio
object {url, content_type, file_name, file_size}Grok 代理程式的語音回覆,以 24 kHz 單聲道 WAV 傳送。
text
string伴隨代理程式語音的文字:空字串表示 Grok 未提供轉錄內容;否則其中包含轉錄文字。
duration
number生成音訊的長度,以秒為單位。

更多模型:音訊

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/xai/grok-voice.md. 所有模型與指南: https://doitong.com/developers/llms.txt